<?php
defined('ABSPATH') or die();
/**
 * The template for displaying Archive pages or categories. 
 * 
 * @author Emanuel Seibold (info@seiboldsoft.de)
 * @package WordPress
 * @subpackage BeautyMatters beautymatters
 */
?>


<?php
get_header();

if (have_posts()) :
// Queue the first post.
    the_post();
    ?>

    <div class="container">
        <div class="row">
            <div class="span12">
                <?php
                if (function_exists('ssoft_breadcrumbs')) {
                    ssoft_breadcrumbs();
                }
                ?>
            </div>
        </div>

        <div class="row">
            <div class="col-lg-9 col-md-9 col-sm-9 col-9 <?php
            if (get_theme_mod("sidebar-side", "right") == " left") {
                echo " pull-right";
            }
            ?>">  
                <section class="archive">

                    <header class="page-title">

                        <h3><?php
                            if (is_day()) {
                                printf(__('Daily Archives: %s', 'beautymatters'), '<span>' . get_the_date() . '</span>');
                            } elseif (is_month()) {
                                printf(
                                        __('Monthly Archives: %s', 'beautymatters'), '<span>' . get_the_date(_x('F Y', 'monthly archives date format', 'beautymatters')) . '</span>'
                                );
                            } elseif (is_year()) {
                                printf(
                                        __('Yearly Archives: %s', 'beautymatters'), '<span>' . get_the_date(_x('Y', 'yearly archives date format', 'beautymatters')) . '</span>'
                                );
                            } elseif (is_tag()) {
                                printf(__('Tag Archives: %s', 'beautymatters'), '<span>' . single_tag_title('', false) . '</span>');
                                // Show an optional tag description
                                $tag_description = tag_description();
                                if ($tag_description) {
                                    echo apply_filters(
                                            'tag_archive_meta', '<div class="tag-archive-meta">' . $tag_description . '</div>'
                                    );
                                }
                            } elseif (is_category()) {
                                printf(
                                        __('Category Archives: %s', 'beautymatters'), '<span>' . single_cat_title('', false) . '</span>'
                                );
                            } else {
                                _e('Blog Archives', 'beautymatters');
                            }
                            ?></h3>
                    </header>
                    <?php
                    // Rewind the loop back
                    rewind_posts();
                endif;
                ?>

                <?php
                while (have_posts()) {
                    the_post();
                    ?>
                    <div <?php post_class(); ?>>
                        <div class="media">

                            <div class="media-left">
                                <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute('echo=0'); ?>">
                                    <?php the_post_thumbnail("thumbnail"); ?>
                                </a>
                            </div>

                            <div class="media-body">
                                <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><h3><?php the_title(); ?></h3></a>
                                <p class="meta"><?php echo bootstrapwp_posted_on(); ?></p>
                                <?php the_excerpt(); ?>
                            </div>
                        </div>
                    </div><!-- /.post_class -->

                    <hr/>
                <?php } ?>
            </section>
            <?php bootstrapwp_content_nav('nav-below'); ?>

        </div>

        <div class="col-lg-3 col-md-3 col-sm-3 col-3">   
            <?php
            get_sidebar('archive');
            ?>
        </div>
    </div>
</div>
<?php
get_footer();

