<?php
defined('ABSPATH') or die();
/**
 * The template for displaying Categories. 
 * 
 * @author Emanuel Seibold (info@seiboldsoft.de)
 * @package WordPress
 * @subpackage BeautyMatters beautymatters
 */
?>


<?php
get_header();

if (have_posts()) :
// Queue the first post.
    the_post();

    $rowcolumn_count_class = "col-md-4 col-lg-4 col-4 col-xs-12";
    switch (get_theme_mod("bmatters_design-category-rowcount", "3")) {
        case "1":
            $rowcolumn_count_class = "col-md-12 col-lg-12 col-12 col-xs-12";
            break;
        case "2":
            $rowcolumn_count_class = "col-md-6 col-lg-6 col-6 col-xs-12";
            break;
        case "4":
            $rowcolumn_count_class = "col-md-3 col-lg-3 col-3 col-xs-3";
            break;
        default:
    }
    ?>

    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <?php
                if (function_exists('ssoft_breadcrumbs')) {
                    ssoft_breadcrumbs();
                }
                ?>
            </div>
        </div>

        <div class="row">
            <div class="col-lg-9 col-md-9 col-sm-9 col-9 <?php
            if (get_theme_mod("sidebar-side", "right") == " left") {
                echo " pull-right";
            }
            ?>">   

                <?php
                // Rewind the loop back
                rewind_posts();
            endif;
            ?>

            <section class="category-boxed">

                <div class="row">
                    <div class="row-height">
                        <?php
                        while (have_posts()) {
                            the_post();
                            ?>

                            <div class="<?php echo $rowcolumn_count_class; ?> col-top wow zoomIn">
                                <div class="content">
                                    <div <?php post_class(); ?>>


                                        <article class="post_format_image">
                                            <div class="thumbnail">
                                                <a href="<?php the_permalink(); ?>">
                                                    <span class="roll"><i class="glyphicon glyphicon-info-sign"></i></span>
                                                    <div class="image_wrap">
                                                        <?php
                                                        if (has_post_thumbnail()) {
                                                            the_post_thumbnail("bootstrap-small", array('class' => 'img-responsive'));
                                                        } else {
                                                            echo '<img src="' . get_template_directory_uri() . '/assets/images/blank-image.png" />';
                                                        }
                                                        ?>
                                                    </div>
                                                </a>
                                                <?php if (get_theme_mod("bmatters_design-category-type", "default") != "picture-only") { ?>
                                                    <div class="caption">
                                                        <h4><a href="<?php the_permalink(); ?>"> <?php the_title(); ?></a></h4> 
                                                        <?php the_excerpt(); ?>
                                                    </div>
                                                <?php } ?>
                                            </div>
                                        </article>

                                    </div><!-- /.post_class -->
                                </div>
                            </div>
                        <?php } ?>
                    </div>
                </div>
            </section>
            <div class="row">
                <div class="col-md-12">
                    <?php bootstrapwp_content_nav(); ?>
                </div>
            </div>
        </div>

        <div class="col-lg-3 col-md-3 col-sm-3 col-3">   
            <?php
            get_sidebar('archive');
            ?>
        </div>
    </div>
</div>

<?php
get_footer();

