<?php
defined('ABSPATH') or die();
/**
 * Template for displaying Comments.
 *
 * Display comments and comment form. 
 * The display of comments is handled by a callback to bootstrapwp_comment() in the functions.php file.
 * 
 * @author Emanuel Seibold (info@seiboldsoft.de)
 * @package WordPress
 * @subpackage BeautyMatters Theme
 */
if (post_password_required()) {
    return;
}
?>

<?php
if (!comments_open() && '0' == get_comments_number()) {
    return;
}

if ( is_singular() ) wp_enqueue_script( "comment-reply" );


?>

<section class="content">
    <h3 class="lined-title"><span>Comments</span></h3>



    <div id="comments" class="comments-area">




<?php if (have_comments()) { ?>

        <div class="blog-comment">
            <ul class="media-list comments">
<?php wp_list_comments(array('callback' => 'bmatters_comment')); ?>
            </ul>
        </div>

<?php if (get_comment_pages_count() > 1 && get_option('page_comments')) : ?>

        <nav id="comment-nav-below" class="navigation" role="navigation">

            <div class="nav-previous">
<?php previous_comments_link(_e('&larr; Older Comments', 'beautymatters')); ?>
            </div>

            <div class="nav-next">
<?php next_comments_link(_e('Newer Comments &rarr;', 'beautymatters')); ?>
            </div>

        </nav>

<?php endif; ?>



<?php } elseif (!comments_open() && '0' != get_comments_number() && post_type_supports(get_post_type(), 'comments')) { ?>

        <p class="nocomments"><?php _e('Comments are closed.', 'beautymatters'); ?></p>
        <?php
    } else {
        echo "no comments allowed";
    }
    ?>

        <hr />
<?php comment_form(); ?>

    </div>
</section>
