<?php
defined('ABSPATH') or die();
/**
 * The template for displaying content in the single.php.
 * 
 * @author Emanuel Seibold (info@seiboldsoft.de)
 * @package WordPress
 * @subpackage BeautyMatters Theme
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <section class="content">
        <header class="entry-header">

            <h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('Permalink to %s', 'beautymatters'), the_title_attribute('echo=0')); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
            <aside class="entry-details">

                <p class="meta"><?php // echo bootstrapwp_posted_on();                                                                                    ?> <?php edit_post_link(__('Edit', 'beautymatters')); ?>
                    Posted by <?php the_author(); ?> in <?php printf(the_category(', ')); ?> 
                    <?php if (comments_open()) : ?>
                        <span class="entry-comment-title text-right"><i class="fa fa-comment-o"></i><a href="#comments"><?php comments_number("No Comments", "1 Comment", "% Comments"); ?></a>  </span>
                    <?php endif; ?>
                </p>

                <?php
                if (( get_post_meta(get_the_ID(), "featured_image_size", true) == "default" && get_theme_mod("design-featured-image", "0") != "0") || get_post_meta(get_the_ID(), "featured_image_size", true) != "none") {
                    if (has_post_thumbnail()) {
                        ?>
                        <div class="featured-image">
                            <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute('echo=0'); ?>">


                                <?php
                                $picValue = (get_post_meta(get_the_ID(), "featured_image_size", true) != "default") ? get_post_meta(get_the_ID(), "featured_image_size", true) : get_theme_mod("design-featured-image", "0");

                                $extra_classes = '';
                                switch ($picValue) {

                                    case 1:
                                        $thumbnail_size = "bootstrap-small";
                                        break;
                                    case 2:
                                        $thumbnail_size = "bootstrap-medium";
                                        break;
                                    case 3:
                                        $thumbnail_size = "large";
                                        $extra_classes .= ' fullwidth';
                                        break;
                                    default:
                                        $thumbnail_size = "thumbnail";
                                }
                                ?>
                                <?php the_post_thumbnail($thumbnail_size, array('class' => 'img-responsive' . $extra_classes)); ?>

                            </a>
                        </div>
                        <?php
                    }
                }
                ?>     
            </aside><!--end .entry-details -->
        </header><!--end .entry-header -->


        <section class="post-content">
            <div class="entry-content">
                <?php if (get_theme_mod("ads-start-content-300x250") != "") : ?>
                    <div class="text-left content-ad"><?php echo get_theme_mod("ads-start-content-300x250"); ?></div>
                <?php endif; ?>
                <?php
                the_content();
                wp_link_pages();
                ?>
                <?php if (get_theme_mod("ads-below-content-468x60") != "") : ?>
                    <div class="row text-center"><?php echo get_theme_mod("ads-below-content-468x60"); ?></div>
                <?php endif; ?>


                <p class="entry-tags col-md-12">
                    <?php
                    if (function_exists('bbwsp_get_tags')) {
                        bbwsp_get_tags();
                    }
                    ?>
                </p>
            </div>
        </section>
        <div class="clearfix"></div>

    </section>

    <?php
// AUTHOR INFO  

    if (get_the_author_meta('description')) :
        ?>

        <hr/>
        <div class="row">

            <div class="author-info">

                <?php echo get_avatar(get_the_author_meta('user_email'), 100); ?>
                <div class="author-details">

                    <h3><?php
                        print( __('Posted by ', 'beautymatters'));
                        the_author_link();
                        ?> 

                </div><!-- end .author-details -->
                <p class="author-description"><?php the_author_meta('description'); ?></p>	
            </div><!-- end .author-info -->
        </div>
    <?php endif; ?>

</article><!-- /.post-->


<?php comments_template(); ?>

