<?php
defined('ABSPATH') or die();
/**
 * BeautyMatters Wordpress Theme Functions
 * @author Emanuel Seibold (info@seiboldsoft.de)
 * @package WordPress
 * @subpackage BeautyMatters Theme
 */
/**
 * Display template for comments and pingbacks.
 *
 */
if (!function_exists('bmatters_comment')) :

    function bmatters_comment($comment, $args, $depth) {
        $GLOBALS['comment'] = $comment;
        switch ($comment->comment_type) :
            case 'pingback' :
            case 'trackback' :
                ?>

                <li class="comment media clearfix" id="comment-<?php comment_ID(); ?>">
                    <div class="media-body">
                        <p>
                            <?php _e('Pingback:', 'beautymatters'); ?> <?php comment_author_link(); ?>
                        </p>
                    </div><!--/.media-body -->
                    <?php
                    break;
                default :
                    // Proceed with normal comments.
                    global $post;
                    ?>

                <li class="comment media clearfix" id="li-comment-<?php comment_ID(); ?>">
                    <a href="<?php echo $comment->comment_author_url; ?>" class="pull-left avatar">
                        <?php echo get_avatar($comment, 64); ?>
                    </a>
                    <div class="post-comments">
                        <p class="meta">
                            <?php
                            printf('<a class="visible-lg" href="%1$s"><time datetime="%2$s">%3$s</time></a> ', esc_url(get_comment_link($comment->comment_ID)), get_comment_time('c'), sprintf(
                                            __('%1$s', 'beautymatters'), get_comment_date()
                                    )
                            );

                            printf('<cite class="fn">%1$s %2$s</cite>', get_comment_author_link(),
                                    // If current post author is also comment author, make it known visually.
                                    ($comment->user_id === $post->post_author) ? '<span class="label"> ' . __(
                                                    'Post author', 'beautymatters'
                                            ) . '</span> ' : '');
                            ?>
                            says : 
                            <i class="pull-right"><?php
                                comment_reply_link(array_merge($args, array(
                                    'reply_text' => __('Reply <span>&darr;</span>', 'beautymatters'),
                                    'depth' => $depth,
                                    'max_depth' => $args['max_depth'],
                                    'before' => '<small>',
                                    'after' => '</small>',
                                                )
                                ));
                                ?></i>
                        </p>

                        <?php if ('0' == $comment->comment_approved) : ?>
                            <p class="comment-awaiting-moderation"><?php
                                _e(
                                        'Your comment is awaiting moderation.', 'beautymatters'
                                );
                                ?></p>
                        <?php endif; ?>
                        <p>
                            <?php comment_text(); ?>
                        </p>

                    </div>
                    <!--/.media-body -->
                    <?php
                    break;
            endswitch;
        }











































    endif;