<?php

defined('ABSPATH') or die();
/**
 * BeautyMatters Wordpress Theme Functions
 * @author Emanuel Seibold (info@seiboldsoft.de)
 * @package WordPress
 * @subpackage BeautyMatters Theme
 */
/**
 * Display page next/previous navigation links.
 *
 */
if (!function_exists('bootstrapwp_content_nav')):

    function bootstrapwp_content_nav($pages = '', $range = 4) {


        $showitems = ($range * 2) + 1;



        global $paged;

        if (empty($paged))
            $paged = 1;



        if ($pages == '') {

            global $wp_query;

            $pages = $wp_query->max_num_pages;

            if (!$pages) {

                $pages = 1;
            }
        }



        if (1 != $pages) {

            echo '<div class="text-center">';
            echo '<nav><ul class="pagination"><li class="disabled hidden-xs"><span><span aria-hidden="true">' . __('Page', 'beautymatters') . ' ' . $paged . ' ' . __('of', 'beautymatters') . ' ' . $pages . '</span></span></li>';

            if ($paged > 2 && $paged > $range + 1 && $showitems < $pages)
                echo "<li><a href='" . get_pagenum_link(1) . "' aria-label='First'>&laquo;<span class='hidden-xs'> " . __('First', 'beautymatters') . "</span></a></li>";

            if ($paged > 1 && $showitems < $pages)
                echo "<li><a href='" . get_pagenum_link($paged - 1) . "' aria-label='Previous'>&lsaquo;<span class='hidden-xs'> " . __('Previous', 'beautymatters') . "</span></a></li>";



            for ($i = 1; $i <= $pages; $i++) {

                if (1 != $pages && (!($i >= $paged + $range + 1 || $i <= $paged - $range - 1) || $pages <= $showitems )) {

                    echo ($paged == $i) ? "<li class=\"active\"><span>" . $i . " <span class=\"sr-only\">" . __('current', 'beautymatters') . "</span></span>
 
    </li>" : "<li><a href='" . get_pagenum_link($i) . "'>" . $i . "</a></li>";
                }
            }



            if ($paged < $pages && $showitems < $pages)
                echo "<li><a href=\"" . get_pagenum_link($paged + 1) . "\"  aria-label='Next'><span class='hidden-xs'>" . __('Next', 'beautymatters') . " </span>&rsaquo;</a></li>";

            if ($paged < $pages - 1 && $paged + $range - 1 < $pages && $showitems < $pages)
                echo "<li><a href='" . get_pagenum_link($pages) . "' aria-label='Last'><span class='hidden-xs'>" . __('Last', 'beautymatters') . " </span>&raquo;</a></li>";

            echo "</ul></nav>";
            echo "</div>";
        }
    }



















endif;