<?php
defined('ABSPATH') or die();
/**
 * Default Post Template
 * Description: Post template with a content container and right sidebar.
 *
 * @author Emanuel Seibold (info@seiboldsoft.de)
 * @package WordPress
 * @subpackage BeautyMatters Theme
 */
get_header();
?>
<div class="container">

    <div class="row">
        <div class="col-md-12">
            <?php
            if (function_exists('ssoft_breadcrumbs')) {
                ssoft_breadcrumbs();
            }
            ?>
        </div><!--/.span12 -->
    </div><!--/.row -->



    <div class="row">
        <div class="col-lg-9 col-md-9 col-sm-9 col-9<?php
        if (get_theme_mod("sidebar-side", "right") == "left") {
            echo " pull-right";
        }
        ?>">  
            <section class="content">
                <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
                        <?php get_template_part('content-single'); ?>
                        <?php
                    endwhile;
                else:
                    ?>
                    <p><?php _e('Sorry, no posts matched your criteria.','beautymatters'); ?></p>
                <?php endif; ?>

                <div id="nav-post"><?php posts_nav_link('  ', __('<button class="button"><< New Entries</button>', 'beautymatters'), __('<button class="button">Old Entries >></button>', 'beautymatters')); ?></div>
                ?>
            </section>
        </div> <!-- /.col-lg-9 /.col-md-9 /.col-sm-9 /.col-9 -->
        <div class="col-lg-3 col-md-3 col-sm-3 col-3">     
            <?php get_sidebar('page'); ?> 
        </div><!-- /.col-lg-3 /.col-md-3 /.col-sm-3 /.coFl-3  -->
    </div> <!-- /.row -->
</div> <!-- /.container -->
<?php
get_footer();
