<?php
defined('ABSPATH') or die();
/**
 * Description: Search Results
 *
 * @author Emanuel Seibold (info@seiboldsoft.de)
 * @package WordPress
 * @subpackage BeautyMatters Theme
 */
?>

<?php get_header(); ?>

<div class="container main">
    <div class="row">
        <div class="col-md-12">

            <?php
            if (function_exists('ssoft_breadcrumbs')) {
                ssoft_breadcrumbs();
            }
            ?>
        </div><!--/.col -->
    </div><!--/.row -->


    <div class="row">
        <div class="col-lg-9 col-md-9 col-sm-9 col-9<?php
        if (get_theme_mod("sidebar-side", "right") == "left") {
            echo " pull-right";
        }
        ?>">  
            <section class="archive">

                <div class="content">

                    <?php if (have_posts()) : ?>

                        <header class="post-title">
                            <h2><?php printf(__('Search Results for: %s', 'beautymatters'), '<span>' . get_search_query() . '</span>'); ?></h2>
                        </header>

                        <?php
                    else:
                        ?>

                        <header class="post-title">
                            <h2><?php _e('No Results Found', 'beautymatters'); ?></h2>
                        </header>

                    <?php endif; ?>

                    <?php if (have_posts()) : ?>

                        <?php while (have_posts()) : the_post(); ?>

                            <?php get_template_part('content', get_post_format()); ?>

                            <?php
                        endwhile;

                    else:
                        ?>

                        <p class="lead">
                            <?php
                            _e('It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps you should try again with a different search term.', 'beautymatters');
                            ?>
                        </p>

                        <div class="well">
                            <?php get_search_form(); ?>
                        </div><!--/.well -->

                    <?php endif; ?>
                </div> <!-- /.content -->
            </section>
            <div class="row">
                <div class="col-md-12">
                    <?php bootstrapwp_content_nav(); ?>
                </div>
            </div>
        </div> <!-- /.col -->

        <div class="col-lg-3 col-md-3 col-sm-3 col-3 sidebar-wrapper"> 
            <?php get_sidebar('post'); ?>
        </div><!--/.col -->
    </div> <!--/.row -->
</div><!-- container -->
<?php get_footer(); ?>

