<?php
defined('ABSPATH') or die();
/**
 * Template Name: Gallery Template
 * Default Post Template
 * Description: Post template with a content container and right sidebar.
 *
 * @author Emanuel Seibold (info@seiboldsoft.de)
 * @package WordPress
 * @subpackage BeautyMatters Theme
 */
get_header();
?>


<div class="container">

    <div class="row">
        <div class="col-md-12">
            <?php
            if (function_exists('ssoft_breadcrumbs')) {
                ssoft_breadcrumbs();
            }
            ?>
        </div><!--/.span12 -->
    </div><!--/.row -->



    <div class="row">

        <section class="default-gallery content">
            <?php
            if (get_post_gallery()) :
                $gallery = get_post_gallery(get_the_ID(), false);
                var_dump($gallery);

                /* Loop through all the image and output them one by one */
                foreach ($gallery['src'] as $src) :
                    ?>
                    <div class="col-md-3 col-sm-4 col-xs-6">

                        <img class="img-responsive" src="<?php echo $src; ?>" alt="<?php _e("Gallery image",'beautymatters');?>" />
                    </div>
                    <?php
                endforeach;
            endif;
            ?>
        </section>
    </div>
</div> <!-- /.row -->
<?php
get_footer();
