<?php
//this is the default responsive product for a full amazon product
$article = new SimpleXMLElement($response);
$ASIN = $article->Items->Item->ASIN;
$AmazonReviews = new SSA_Reviews($ASIN, $article->Items->Item->CustomerReviews->IFrameURL, null);
$AmazonReviews->load();
$stars = round($AmazonReviews->averageRating * 2) / 2;
?>
<section class="amazon-product">
    <div class="row">
        <div class="col-md-4 col-lg-4 col-4 col-xs-12">
            <!-- product image -->

            <div id='carousel-amazon-<?php echo $ASIN; ?>' class='carousel-image-overview-custom carousel slide' data-ride='carousel'>
                <div class='carousel-outer'>
                    <!-- Wrapper for slides -->
                    <div class='carousel-inner'>
                        <?php
                        $i = 0;
                        foreach ($article->Items->Item->ImageSets->ImageSet as $ImageSet) {
                            ?>
                            <div class='item<?php if ($i == 0) echo " active"; ?>'>
                                <img src='<?php echo $ImageSet->LargeImage->URL; ?>' alt='' />
                            </div>
                            <?php
                            $i++;
                        }
                        ?>

                    </div>

                    <!-- Controls -->
                    <a class='left carousel-control' href='#carousel-amazon-<?php echo $ASIN; ?>' data-slide='prev'>
                        <span class='glyphicon glyphicon-chevron-left'></span>
                    </a>
                    <a class='right carousel-control' href='#carousel-amazon-<?php echo $ASIN; ?>' data-slide='next'>
                        <span class='glyphicon glyphicon-chevron-right'></span>
                    </a>
                </div>


                <ol class='carousel-indicators mCustomScrollbar'>

                    <?php
                    $i = 0;
                    foreach ($article->Items->Item->ImageSets->ImageSet as $ImageSet) {
                        ?>
                        <li data-target='#carousel-amazon-<?php echo $ASIN; ?>' data-slide-to='<?php echo $i; ?>'><img src='<?php echo $ImageSet->MediumImage->URL; ?>' alt='' /></li>
                        <?php
                        $i++;
                    }
                    ?>
                </ol>
            </div>
        </div>
        <div class="col-md-8 col-lg-8 col-8 col-xs-12">
            <!-- product description -->
            <h3><a href="<?php echo $product_affiliate_url; ?>" target="_blank" re="nofollow"><?php echo $article->Items->Item->ItemAttributes->Title; ?></a></h3>
            <div class="row">
                <div class="col-md-12 col-12">
                    <div class="pull-left">
                        <span class="amazon-publisher"><?php _e('from', 'simple-amazon'); ?> <?php echo $article->Items->Item->ItemAttributes->Publisher; ?></span>
                    </div>
                    <div class="pull-right">
                        <img src="<?php echo SSA_URL; ?>/images/stars-<?php echo $stars; ?>.gif" alt="" />  <span class="amazon-ratings"><?php echo $AmazonReviews->totalReviews; ?> <?php _e('Reviews', 'simple-amazon');?></span>
                    </div>
                </div>
            </div>
            <hr />

            Price: <span class="amazon-price"><?php echo $article->Items->Item->OfferSummary->LowestNewPrice->FormattedPrice; ?></span> <span class="amazon-available"><?php
                if ($article->Items->Item->Offers->Offer->OfferListing->AvailabilityAttributes->AvailabilityType == "now") {
                    echo __('Available', 'simple-amazon');
                }
                ?></span>

            <div class="amazon-features">
                <ul>
                    <?php
                    foreach ($article->Items->Item->ItemAttributes->Feature as $feature) {
                        echo "<li>" . $feature . "</li>";
                    }
                    ?>
                </ul>
            </div>

            <div class="amazon-content">
                <?php echo $article->Items->Item->EditorialReviews->EditorialReview->Content; ?>
            </div>

            <div class="row">
                <div class="col-md-12 col-12">
                    <div class="pull-left">
                        <a class="amazon-button" href="<?php echo $product_affiliate_url; ?>" target="_blank" rel="nofollow"><?php _e('Buy from Amazon', 'simple-amazon'); ?></a>
                    </div>

                    <div class="pull-right">
                        <img src="<?php echo SSA_URL; ?>/images/amazon_<?php echo $country; ?>.gif" alt="" /> 
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>